# I3SStatistics

#### internal constructor new Cesium.I3SStatistics()
engine/Source/Scene/I3SStatistics.js 13

This class implements an I3S statistics for Building Scene Layer.

Do not construct this directly, instead access statistics through `I3SDataProvider`.

### Members

#### readonly data : object
engine/Source/Scene/I3SStatistics.js 40

Gets the I3S data for this object.

#### readonly names : Array.<string>
engine/Source/Scene/I3SStatistics.js 52

Gets the collection of attribute names.

#### readonly resource : Resource
engine/Source/Scene/I3SStatistics.js 28

Gets the resource for the statistics

Need help? The fastest way to get answers is from the community and team on the Cesium Forum.